UTOA(3)

NAME
utoa - unsigned integer to string

SYNOPSIS

#include <stdlib.h>

char *utoa(unsigned value, char *str, int base);

char *__utoa(unsigned value, char *str, int base);

DESCRIPTION

utoa converts the unsigned integer [<value>] to a null-terminated string using the specified base, which must be between 2 and 36, inclusive. str should be an array long enough to contain the converted value, which in the worst case is sizeof(int)*8+1 bytes.

RETURNS

A pointer to the string, str, or NULL if base is invalid.

PORTABILITY

utoa is non-ANSI.

No supporting OS subroutine calls are required.